Apache log4cxx Version @version@

Public Member Functions | Protected Attributes | List of all members
StringTokenizer Class Reference

`#include <stringtokenizer.h>`

## Public Member Functions
| StringTokenizer (const LogString &str, const LogString &delim)
| ~StringTokenizer ()
bool | hasMoreTokens () const
LogString | nextToken ()

## Protected Attributes
LogString | src
LogString | delim
size_t | pos

## Constructor & Destructor Documentation

## ◆ StringTokenizer()

StringTokenizer | ( | const LogString & | str,
|  | const LogString & | delim
| ) |  |

## ◆ ~StringTokenizer()

~StringTokenizer | ( |  | ) |

## Member Function Documentation

## ◆ hasMoreTokens()

bool hasMoreTokens | ( |  | ) | const

## ◆ nextToken()

LogString nextToken | ( |  | ) |

## Member Data Documentation

## ◆ delim

LogString delim
| protected

## ◆ pos

size_t pos
| protected

## ◆ src

LogString src
| protected

The documentation for this class was generated from the following file:

- stringtokenizer.h